@import url('https://fonts.googleapis.com/css2?family=Montserrat&family=Poppins&display=swap');

:root {
    --font-primary: 'Montserrat', sans-serif;
    --font-secondary: 'Poppins', sans-serif;
    --primary-background-color: #ECF0F3;
    --text-accent-color: #ff014f;
}

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body {
    background-color: var(--primary-background-color);
}

h1 {
    font-size: 40px;
}

h2 {
    font-size: 32px;
}

h3 {
    font-size: 28px;
}

h4 {
    font-size: 24px;
}

h5 {
    font-size: 20px;
}

h1,
h2 {
    font-family: var(--font-primary);
}

h3,
h4,
h5,
p,
a,
label,
input,
textarea,
button {
    font-family: var(--font-secondary);
}

header {
    padding: 20px 50px;
    box-shadow: 8px 8px 16px px rgba(0, 0, 0, 0.25);
    -webkit-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
}

span {
    color: var(--text-accent-color)
}

.nav-list {
    list-style: none;
}

.nav-list a {
    text-decoration: none;
    color: black;
    text-transform: uppercase;
    font-weight: 600;
}

.nav-list a:hover {
    text-decoration-line: underline;
    text-decoration-thickness: 3px;
    text-decoration-color: var(--text-accent-color);
    text-underline-offset: 5px;
}

.nav-list li {
    margin: 16px;
}

.profile-description p:nth-child(1) {
    font-size: 52px;
    font-weight: 600;
}

.profile-description p:nth-child(2) {
    font-size: 36px;
    font-weight: 600;
    margin-bottom: 20px;
}

.profile-description p:nth-last-child(2) {
    margin-bottom: 30px;
}

.social-links a {
    margin-right: 20px
}

.container {
    padding: 115px 0;
    width: 85%;
    margin: 0 auto;
    border-bottom: 1px solid rgba(0, 0, 0, 0.10);
}

.profile-img {
    /* This is to center an <img> wrapped inside a <div>.
    For more info, refer to https://www.w3schools.com/css/css_align.asp*/
    display: block;
    margin-inline: auto;

    border-radius: 50%;
    width: 70%;
    min-width: 40%;
}

.section-title {
    padding: 15px;
    margin-bottom: 20px;
}

.social-links a {
    text-decoration: none;
    color: black;
}

.section-items {
    padding: 15px;
}

.section-item-card {
    padding: 30px;
    height: 425px;
    width: 400px;
    border-radius: 5%;

    background-image: linear-gradient(145deg, #e2e8ec, white);

    box-shadow: 8px 8px 16px px rgba(0, 0, 0, 0.25);
    -webkit-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
}

.service-icon {
    margin-bottom: 18px;
}

.service-content h3 {
    margin-bottom: 18px;
}

.section-items a {
    text-decoration: none;
    color: black;
}

.section-items a:hover {
    text-decoration-line: underline;
    text-decoration-thickness: 3px;
    text-decoration-color: var(--text-accent-color);
    text-underline-offset: 5px;
}

.portfolio-img {
    border-radius: 5%;
    margin-bottom: 18px;
    width: 100%;
}

.portfolio-content p {
    color: var(--text-accent-color);
    font-weight: 600;
    text-transform: uppercase;
    font-size: 12px;
    letter-spacing: 2px;
    margin-bottom: 12px;
}

.contact-wrapper {
    margin-top: 50px;
}

.contact-wrapper>* {
    padding: 20px;
    border-radius: 2.5%;
    background-image: linear-gradient(145deg, #e2e8ec, white);

    box-shadow: 8px 8px 16px px rgba(0, 0, 0, 0.25);
    -webkit-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
}

.contact-details {
    width: 350px;
}

.contact-details>* {
    margin-bottom: 32px;
}

.contact-details>*>* {
    margin-bottom: 8px;
}

.contact-details p {
    font-size: 18px;
    color: var(--text-accent-color)
}

.contact-form-wrapper {
    width: 550px;
}

label {
    text-transform: uppercase;
    font-size: 13px;
    letter-spacing: 2px;
    margin-bottom: 10px;
    display: block;
}

input,
textarea {
    border-color: rgba(0, 0, 0, 0.10);
    outline-color: var(--text-accent-color);
    width: 100%;
    padding: 8px;
}

textarea {
    resize: none;
}

button {
    height: 35px;
    text-transform: uppercase;
    font-size: 13px;
    letter-spacing: 2px;
}

footer {
    height: 150px;
    background-color: black;
}

footer h5 {
    color: white;
}

/* =================
   Start of exercise:
   ================= */

/* TODO 01a: Replace the selectors below so that <header> becomes a flex container instead. */
/* TODO 01b: Use the appropriate property and value so that all the extra space is in between
    the flex items and their cross axis alignment is centered */
.header-right,
.header-left {
    display: inline-block;
}

.header-right {
    float: right;
}

/* TODO 02: Replace this selector so that .nav-list becomes a flex container instead*/
.nav-list li {
    display: inline-block;
}

/* TODO 03a: Replace the selectors below so that the container inside #about becomes a flex container instead*/
/* TODO 03b: Use the appropriate value and property to center its flex items along the main and cross axis*/
/* TODO 03c: Add another selector so that the children of the children of #about has a flex-basis of 100%
    and flex-grow of 1. This will make sure the extra space is equally distributed among the flex items */
#about .container div {
    display: inline-block;
}

.profile-description {
    width: 50%;
    margin-left: 50px;
}

/* TODO 04a: Change this selector so that its a flex container instead */
/* TODO 04b: Use the appropriate property and value so that flex items are wrapped */
/* TODO 04c: Use the appropriate property and value so that flex items are centered along the main
    cross axis */
/* TODO 04d: Appy styling so that colums and rows have 50px gap (remove the margin below)*/
.section-item-card {
    display: inline-block;
    margin: 20px;
}

/* TODO 05a: Add a new selector so that .contact-wrapper is a flex container */
/* TODO 05b: Use the appropriate property and value so that the extra space is distributed evenly
    among the flex items */

/* TODO 06a: Add a new selector so that .contact-details is a flex container */
/* TODO 06b: Use the appropriate property and value so that the flex items are displayed vertically
    and their main axis is centered */

/* TODO 07a: Replace the selectors below so that <footer> becomes a flex container instead.*/
/* TODO 07b: Use the appropriate property and value so that all the extra space distributed around
    the flex items and their cross axis alignment is centered */
footer h5,
footer div {
    display: inline-block;
}

footer .social-links {
    float: right;
}